#========================================================================================
# package      DE_EPAGES::OneSaas::t::GetOneSaasSoapURL
# state        private
#========================================================================================
package DE_EPAGES::OneSaas::t::GetOneSaasSoapURL;
use base DE_EPAGES::Shop::API::Test;

use strict;

use DE_EPAGES::OneSaas::API::Connection qw ( GetOneSaasSoapURL );
use Test::More;

sub test {
    my $self = shift;
    # tests
    my $SoapUrl = GetOneSaasSoapURL($self->shop);
    like( $SoapUrl, qr#https?://[^/]+/epages/[^.]*\.\w+$#, 'onesaas url: ' . $SoapUrl );
    done_testing();
}

__PACKAGE__->runScript;

1;

